Skip to main content
POST
/
2025-07
/
retail-media
/
line-items
/
{id}
/
keywords
/
set-bid
/2025-07/retail-media/line-items/{id}/keywords/set-bid
curl --request POST \
  --url https://api.criteo.com/2025-07/retail-media/line-items/{id}/keywords/set-bid \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "keywords": [
        {
          "bid": 123,
          "phrase": "<string>"
        }
      ]
    },
    "id": "<string>",
    "type": "<string>"
  }
}
'
import requests

url = "https://api.criteo.com/2025-07/retail-media/line-items/{id}/keywords/set-bid"

payload = { "data": {
"attributes": { "keywords": [
{
"bid": 123,
"phrase": "<string>"
}
] },
"id": "<string>",
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {keywords: [{bid: 123, phrase: '<string>'}]},
id: '<string>',
type: '<string>'
}
})
};

fetch('https://api.criteo.com/2025-07/retail-media/line-items/{id}/keywords/set-bid', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "status": 123,
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "status": 123,
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

ID of the line item

Body

application/json

Request object to set bid overrides for keywords associated with a line item

data
object

Resource object containing keywords and their associated bid overrides

Response

200 - application/json

Success

Outcome object containing errors and warnings.

errors
object[] | null
read-only
warnings
object[] | null
read-only